Bug 52201 - NEW port CAD/gmsh
Summary: NEW port CAD/gmsh
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-14 04:10 UTC by Pedro F. Giffuni
Modified: 2003-07-23 15:22 UTC (History)
0 users

See Also:


Attachments
port-gmsh.uu (2.34 KB, application/base64)
2003-05-16 03:54 UTC, Pedro F. Giffuni
no flags Details
port-gmsh.shar (4.00 KB, text/plain)
2003-06-18 23:11 UTC, Pedro F. Giffuni
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro F. Giffuni 2003-05-14 04:10:12 UTC
Gmsh is an automatic 3D finite element mesh generator. It's a
nice graphical tool but I haven't had much time to use it, it's
good to to use in conjunction with tochnog (in fact I found it
from tochnog's site).

Fix: 

__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer
--0-954927285-1052881680=:50552
Content-Type: application/base64; name="port-gmsh.uu"
Content-Transfer-Encoding: base64
Content-Description: port-gmsh.uu
Content-Disposition: attachment; filename="port-gmsh.uu"
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--0-954927285-1052881680=:50552--
How-To-Repeat: The port was very simple, it worked practically out of the box.
Comment 1 Pedro F. Giffuni 2003-05-16 03:54:14 UTC
Since this hasn't been committed I decided to enhance it a
little: this version installs the examples and tutorial that are
also included on the linux version, and install an additional
utility included in the sources.

enjoy!

__________________________________________________
Yahoo! Plus
For a better Internet experience
http://www.yahoo.co.uk/btoffer
Comment 2 Pedro F. Giffuni 2003-06-18 23:11:18 UTC
New version just released

______________________________________________________________________
Yahoo! Mail: 6MB di spazio gratuito, 30MB per i tuoi allegati, l'antivirus, il filtro Anti-spam
http://it.yahoo.com/mail_it/foot/?http://it.mail.yahoo.com/
Comment 3 Thierry Thomas 2003-06-29 23:11:17 UTC
Hello,

If you don't mind, the following shar file:
- upgrades gmsh to 1.45.1;
- uses jpeg and png;
- make portlint happy and uses LIB_DEPENDS;
- fixes plist with NOPORTDOCS;
- + some minor changes.

--- gmsh.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	cad/gmsh
#	cad/gmsh/pkg-descr
#	cad/gmsh/pkg-plist
#	cad/gmsh/Makefile
#	cad/gmsh/distinfo
#
echo c - cad/gmsh
mkdir -p cad/gmsh > /dev/null 2>&1
echo x - cad/gmsh/pkg-descr
sed 's/^X//' >cad/gmsh/pkg-descr << 'END-of-cad/gmsh/pkg-descr'
XGmsh is an automatic 3D finite element mesh generator (primarily 
XDelaunay) with build-in CAD and post-processing facilities. Its primal 
Xdesign goal is to provide a simple meshing tool for academic test cases 
Xwith parametric input and up to date visualization capabilities. One of 
Xits strengths is the ability to respect a characteristic length field for 
Xthe generation of adapted meshes on lines, surfaces and volumes, and to 
Xmix these meshes with simple structured grids. 
X
XGmsh is built around four modules: geometry, mesh, solver and 
Xpost-processing. The specification of any input to these modules is done 
Xeither interactively using the graphical user interface or in ASCII text 
Xfiles using Gmsh's own scripting language.
X
XWWW:	http://www.geuz.org/gmsh/
END-of-cad/gmsh/pkg-descr
echo x - cad/gmsh/pkg-plist
sed 's/^X//' >cad/gmsh/pkg-plist << 'END-of-cad/gmsh/pkg-plist'
Xbin/gmsh
Xbin/dxf2geo
X%%PORTDOCS%%%%DOCSDIR%%/FAQ
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/bgmesh.pos
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t1.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t2.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t3.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t4.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t5.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t6.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t7.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t8.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t8.par
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/t9.geo
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/view1.pos
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/view2.pos
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/view3.pos
X%%PORTDOCS%%%%DOCSDIR%%/tutorial/view4.pos
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/anim-all.script
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/anim-seq.script
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/antenna.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/antenna.i1
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/filter.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/machine.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/machine.i1
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/machine.i2
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/piece-extr-rec.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/piece-extr.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/piece.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/primitives.pos
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/splines.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.geo
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.i1
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.i2
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.i3
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.i4
X%%PORTDOCS%%%%EXAMPLESDIR%%/demos/tower.i5
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/tutorial
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%/demos
X%%PORTDOCS%%@dirrm %%EXAMPLESDIR%%
END-of-cad/gmsh/pkg-plist
echo x - cad/gmsh/Makefile
sed 's/^X//' >cad/gmsh/Makefile << 'END-of-cad/gmsh/Makefile'
X# New ports collection makefile for:	gmsh
X# Date created:		19 April 2003
X# Whom:			Pedro Giffuni <giffunip@yahoo.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gmsh
XPORTVERSION=	1.45.1
XCATEGORIES=	cad
XMASTER_SITES=	http://www.geuz.org/gmsh/src/
XDISTNAME=	${PORTNAME}-${PORTVERSION}-source
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	An automatic 3D finite element mesh generator
X
XLIB_DEPENDS=	gsl.4:${PORTSDIR}/math/gsl		\
X		fltk.1:${PORTSDIR}/x11-toolkits/fltk
X
XWRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS+=	--with-fltk-prefix=${X11BASE}	\
X			--with-gsl-prefix=${LOCALBASE}	\
X			--with-jpeg-prefix=${LOCALBASE}	\
X			--with-png-prefix=${LOCALBASE}
XCONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
X
XALL_TARGET=	all converters
X
XMAN1=	gmsh.1
X
Xpost-install:
X	@${STRIP_CMD} ${LOCALBASE}/bin/gmsh
X	${INSTALL_PROGRAM} ${WRKSRC}/bin/dxf2geo ${PREFIX}/bin
X.if !defined(NOPORTDOCS)
X	${MKDIR} ${DOCSDIR}/tutorial
X	${INSTALL_DATA} ${WRKSRC}/tutorial/* ${DOCSDIR}/tutorial
X	${INSTALL_DATA} ${WRKSRC}/doc/FAQ ${DOCSDIR}
X	${MKDIR} ${EXAMPLESDIR}/demos
X	${INSTALL_DATA} ${WRKSRC}/demos/* ${EXAMPLESDIR}/demos
X.endif
X
X.include <bsd.port.mk>
END-of-cad/gmsh/Makefile
echo x - cad/gmsh/distinfo
sed 's/^X//' >cad/gmsh/distinfo << 'END-of-cad/gmsh/distinfo'
XMD5 (gmsh-1.45.1-source.tgz) = 3fb619ef45ad951c2748cada8795d657
END-of-cad/gmsh/distinfo
exit
--- gmsh.shar ends here ---

Regards,
-- 
Th. Thomas.
Comment 4 Oliver Lehmann freebsd_committer 2003-07-23 15:22:14 UTC
State Changed
From-To: open->closed

Committed, Thanks!